org.eclipse.emf.cdo.security

## Interface UserPassword

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier
  All Known Implementing Classes:
    UserPasswordImpl

      public interface UserPassword
      extends CDOObject

  A representation of the model object 'User Password'.
  See Also:
    `SecurityPackage.getUserPassword()`
  Generated
  Extends
    CDOObject
  Model
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Encrypted`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEncrypted()` Returns the value of the 'Encrypted' attribute.
    `void` | `setEncrypted(java.lang.String value)` Sets the value of the '`Encrypted`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEncrypted

          java.lang.String getEncrypted()

      Returns the value of the 'Encrypted' attribute.

      If the meaning of the 'Encrypted' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Encrypted' attribute.
      See Also:
        `setEncrypted(String)`, `SecurityPackage.getUserPassword_Encrypted()`
      Generated
      Model

    - #### setEncrypted

          void setEncrypted(java.lang.String value)

      Sets the value of the '`Encrypted`' attribute.
      Parameters:
        `value` - the new value of the 'Encrypted' attribute.
      See Also:
        `getEncrypted()`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html